Subject: Re: Watch making

From: rogerm@PROBLEM_WITH_INEWS_GATEWAY_FILE (Roger Mitchell)
Date: Thu, 24 Dec 1992 16:10:46 GMT

The Joseph Bulova School of Watchmaking published a very good training
manual and Henry B Fried published the Watch Repairer's Manual which also
goes into good detail on the subject. New tools are very expensive but
you can purchase used tools sometimes from retiring watchmakers or 
jewelers that are going out of business for a reasonable price. I don't
know if he is still in business, but I purchased most of my tools used
at a watchmakers supply in Boston called Henry Kamlot in the Jewelers 
Building.

				Roger Mitchell
				Amateur Watch Maker and Collector
				Master Mechanic: Ft. Collins Municipal Railway